<?php
/*
Plugin Name: Whois Online in menu
Version: 1
Description: Add info whois_online in the menubar
Plugin URI: http://piwigo.org
Author: ddtddt
Author URI:http://piwigo.org/ext/extension_view.php?eid=619
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('W1M_DIR' , basename(dirname(__FILE__)));
define('W1M_PATH' , PHPWG_PLUGINS_PATH . W1M_DIR . '/');

	load_language('plugin.lang', W1M_PATH);
	load_language('lang', PHPWG_ROOT_PATH.PWG_LOCAL_DIR, array('no_fallback'=>true, 'local'=>true) );

add_event_handler('blockmanager_register_blocks', 'register_w1m_menubar_blocks');
add_event_handler('blockmanager_apply', 'w1m_apply');

function register_w1m_menubar_blocks( $menu_ref_arr )
{
  $menu = & $menu_ref_arr[0];
  if ($menu->get_id() != 'menubar')
    return;
  $menu->register_block( new RegisteredBlock( 'mbWonline', 'Wonline', 'W1M'));
}

function w1m_apply($menu_ref_arr)
{
  global $template;

 $menu = & $menu_ref_arr[0];
 
      // Envoi des donnes au template
	    $template->assign	(
		array	(
        'W1MTITLE'     => l10n('Whois Online'),
				)			);

 $template->assign('W1M_PATH', W1M_PATH);
   
    if (($block = $menu->get_block( 'mbWonline' )) != null) {
	$template->set_template_dir(W1M_PATH.'template/');
	$block->template = 'report_about.tpl';
    }
}

add_event_handler('loc_begin_page_header', 'WHE1',20 );
function WHE1()
{

global $template;

$cachewol='';

    $template->append('head_elements', $cachewol);
}


?>